- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnTripleIndexedComponent Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Triple indexed component function set.

This function set allows you to create, edit, and query triple indexed components. Triple indexed components store 3 dimensional index values.

`#include <MFnTripleIndexedComponent.h>`

Inheritance diagram for MFnTripleIndexedComponent:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnTripleIndexedComponent ()
| Destructor.
| MFnTripleIndexedComponent ()
| Default constructor.
| MFnTripleIndexedComponent (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create (MFn::Type compType, MStatus *ReturnStatus=NULL)
| Create a triple indexed component of the given type.
MStatus | addElement (int sIndex, int tIndex, int uIndex)
| Add the specified element to the component.
MStatus | addElements (const MIntArray &sIndexArray, const MIntArray &tIndexArray, const MIntArray &uIndexArray)
| Add the specified elements to the component.
MStatus | getElement (int index, int &sIndex, int &tIndex, int &uIndex) const
| Get the specified element from the component.
MStatus | getElements (MIntArray &sIndexArray, MIntArray &tIndexArray, MIntArray &uIndexArray) const
| Get all of the element indices from the component.
MStatus | setCompleteData (int maxS, int maxT, int maxU)
| Marks the component as complete (meaning all items are selected) and uses the argument to identify the total number of elements selected.
MStatus | getCompleteData (int &maxS, int &maxT, int &maxU) const
| Returns the number of elements for the complete component.
| MFnTripleIndexedComponent (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnTripleIndexedComponent | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnTripleIndexedComponent | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kTripleIndexedComponent.

Reimplemented from MFnComponent.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnTripleIndexedComponent".

Reimplemented from MFnComponent.

MObject create | ( | MFn::Type | compType,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Create a triple indexed component of the given type.

Allowable types are

MFn::kLatticeComponent

Parameters:

  [in] | compType | the type of component to create
  [out] | ReturnStatus | status code

Returns:
  The new component

Status Codes:
  - MS::kSuccess the method was successful.
  - MS::kInvalidParameter invalid component type

MStatus addElement | ( | int | sIndex,
|  | int | tIndex,
|  | int | uIndex
| ) |  |

Search for all occurrences

Add the specified element to the component.

Parameters:

  [in] | sIndex | the s index to add
  [in] | tIndex | the t index to add
  [in] | uIndex | the u index to add

Returns:
  Status code

Status Codes:
  - MS::kSuccess the method was successful
  - MS::kFailure an object error has occurred

MStatus addElements | ( | const MIntArray & | sIndices,
|  | const MIntArray & | tIndices,
|  | const MIntArray & | uIndices
| ) |  |

Search for all occurrences

Add the specified elements to the component.

Parameters:

  [in] | sIndices | the array of s indices to be added
  [in] | tIndices | the array of t indices to be added
  [in] | uIndices | the array of u indices to be added

Returns:
  Status code

Status Codes:
  - MS::kSuccess the method was successful
  - MS::kFailure an object error has occurred

MStatus getElement | ( | int | index,
|  | int & | sIndex,
|  | int & | tIndex,
|  | int & | uIndex
| ) |  | const

Search for all occurrences

Get the specified element from the component.

Parameters:

  [in] | index | the index of the element to retrieve
  [out] | sIndex | the s index of the component
  [out] | tIndex | the t index of the component
  [out] | uIndex | the u index of the component

Returns:
  Status code

Status Codes:
  - MS::kSuccess the method was successful
  - MS::kFailure an object error has occurred

MStatus getElements | ( | MIntArray & | sIndices,
|  | MIntArray & | tIndices,
|  | MIntArray & | uIndices
| ) |  | const

Search for all occurrences

Get all of the element indices from the component.

Parameters:

  [out] | sIndices | storage for the array of s indices
  [out] | tIndices | storage for the array of t indices
  [out] | uIndices | storage for the array of u indices

Returns:
  Status code

Status Codes:
  - MS::kSuccess the method was successful
  - MS::kFailure an object error has occurred

MStatus setCompleteData | ( | int | maxS,
|  | int | maxT,
|  | int | maxU
| ) |  |

Search for all occurrences

Marks the component as complete (meaning all items are selected) and uses the argument to identify the total number of elements selected.

If the component should contain N element indices, then the range would be [0,N-1].

Also sets the complete state of the component to 'true' (i.e. setComplete(true)).

Parameters:

  [in] | maxS | the maximum number of S elements
  [in] | maxT | the maximum number of T elements
  [in] | maxU | the maximum number of U elements

Returns:
  Status code

Status Codes:
  - MS::kSuccess the method was successful
  - MS::kFailure an object error has occurred

MStatus getCompleteData | ( | int & | maxS,
|  | int & | maxT,
|  | int & | maxU
| ) |  | const

Search for all occurrences

Returns the number of elements for the complete component.

A complete component means that all elements are selected.

Parameters:

  [out] | maxS | storage for the maximum number of S elements
  [out] | maxT | storage for the maximum number of T elements
  [out] | maxU | storage for the maximum number of U elements

Returns:
  Status code

Status Codes:
  - MS::kSuccess the method was successful
  - MS::kFailure an object error has occurred

MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent
MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent MFnTripleIndexedComponent